=== debian/changelog ===
ros-one-amcl (1.17.3-4noble.20251023.0442) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 04:42:39 +0000

ros-one-amcl (1.17.3-0noble) noble; urgency=high

  * [AMCL] Add option to force nomotion update after initialpose (#1226 <https://github.com/ros-planning/navigation/issues/1226>)
    * Adds a new boolean parameter force_update_after_initialpose. When set to true, an update is forced on the next laser scan callback, such as when the /request_nomotion_update service is called. This often results in an improved robot pose after a manual (not very precise) re-localization - without a need for the robot to move.
    * Fixes a bunch of compiler warnings (unused variable now, catching exceptions by value), normalizes how tf exceptions are caught
  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner, Stephan

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-amcl (1.17.2-0noble) noble; urgency=high

  * Update pf.c (#1161 <https://github.com/ros-planning/navigation/issues/1161>)
    #1160 <https://github.com/ros-planning/navigation/issues/1160> AMCL miscalculates orientation covariance for clusters
  * Improved Overall readablity (#1177 <https://github.com/ros-planning/navigation/issues/1177>)
  * fix crashes in AMCL (#1152 <https://github.com/ros-planning/navigation/issues/1152>)
    * fix: catch runtime_error from roscore
    * ignore malformed message from laser, otherwise it will crash
  * Fixes #1117 <https://github.com/ros-planning/navigation/issues/1117> (#1118 <https://github.com/ros-planning/navigation/issues/1118>)
  * Fixed the risk of divide by zero. (#1099 <https://github.com/ros-planning/navigation/issues/1099>)
  * (AMCL) add missing test dep on tf2_py (#1091 <https://github.com/ros-planning/navigation/issues/1091>)
  * (AMCL)(Noetic) use robot pose in tests (#1087 <https://github.com/ros-planning/navigation/issues/1087>)
  * (amcl) fix missing '#if NEW_UNIFORM_SAMPLING' (#1079 <https://github.com/ros-planning/navigation/issues/1079>)
  * Contributors: David V. Lu!!, Matthijs van der Burgh, Noriaki Ando, Supernovae, christofschroeter, easylyou

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-amcl (1.17.1-0noble) noble; urgency=high

  * (AMCL) add resample limit cache [Noetic] (#1014 <https://github.com/ros-planning/navigation/issues/1014>)
  * Contributors: Matthijs van der Burgh

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-amcl (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * map is not subscriptable in python3
  * fix python3 errors in basic_localization.py
  * use upstream pykdl
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-amcl (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-amcl (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-amcl (1.16.4-0noble) noble; urgency=high

  * Implement selective resampling (#921 <https://github.com/cobalt-robotics/navigation/issues/921>) (#971 <https://github.com/cobalt-robotics/navigation/issues/971>)
    Co-authored-by: Adi Vardi <mailto:adidasv111@gmail.com>
  * Add CLI option to trigger global localization before processing a bagfile (#816 <https://github.com/cobalt-robotics/navigation/issues/816>) (#970 <https://github.com/cobalt-robotics/navigation/issues/970>)
    Co-authored-by: alain-m <mailto:alain@savioke.com>
  * Fix some reconfigure parameters not being applied [amcl]. (#952 <https://github.com/cobalt-robotics/navigation/issues/952>)
  * amcl: include missing CMake functions to fix build (#946 <https://github.com/cobalt-robotics/navigation/issues/946>)
  * Set proper limits for the z-weights [amcl]. (#953 <https://github.com/cobalt-robotics/navigation/issues/953>)
  * Merge pull request #965 <https://github.com/cobalt-robotics/navigation/issues/965> from nlimpert/nlimpert/fix_missing_cmake_include
    Add missing CMake include(CheckSymbolExists) for CMake >= 3.15
  * amcl: add missing CMake include(CheckSymbolExists)
    Starting with CMake 3.15 an explicit include(CheckSymbolExists)
    is required to use the check_symbol_exists macro.
  * Contributors: Ben Wolsieffer, Michael Ferguson, Nicolas Limpert, Patrick Chin

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-amcl (1.16.3-0noble) noble; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Fix typo in amcl_laser model header (#918 <https://github.com/ros-planning/navigation/issues/918>)
  * Merge pull request #849 <https://github.com/ros-planning/navigation/issues/849> from seanyen/amcl_windows_fix
    [Windows][melodic] AMCL Windows build bring up.
  * revert unrelated changes.
  * AMCL windows build bring up.
    * Add HAVE_UNISTD and HAVE_DRAND48 and portable_utils.hpp for better cross compiling.
    * Variable length array is not supported in MSVC, conditionally disable it.
    * Fix install location for shared lib and executables on Windows.

