=== debian/control ===
Source: ros-one-amcl
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nav-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/amcl
Standards-Version: 3.9.2

Package: ros-one-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-msgs, ros-one-tf2-ros
Description: amcl is a probabilistic localization system for a robot moving in 2D.
 It implements the adaptive (or KLD-sampling) Monte Carlo localization approach (as described by Dieter Fox), which uses a particle filter to track the pose of a robot against a known map. This node is derived, with thanks, from Andrew Howard's excellent 'amcl' Player driver.
